smbmnt
8

# smbmnt

narzędzie pomocnicze do montowania systemów plików SMB

          smbmnt
          punkt-montowania
          -s <wspoludzial>
          -r
          -u <uid>
          -g <gid>
          -f <maska>
          -d <maska>
          -o <opcje>

## OPIS

`smbmnt` jest pomocniczą aplikacją używaną przez program smbmount do przeprowadzania właściwego montowania współudziałów SMB. `smbmnt` ma być instalowane jako setuid root, aby normalni użytkownicy mogli montować swoje współudziały smb. Sprawdza, czy użytkownik ma prawo zapisu w punkcie montowania, a potem montuje katalog.

Program `smbmnt` jest normalnie wywoływany przez `smbmoutn(8)` . Nie powinien być wywoływany bezpośrednio przez użytkowników.

## OPCJE

-r

  montuj system plików tylko do odczytu

-u uid

  określa uid w którego posiadaniu będą pliki

-g gid

  określa gid w którego posiadaniu będą pliki

-f maska

  określa zastosowaną ósemkową maskę katalogu

-o opcje

  lista opcji które są przekazywane "jakie-są" do smbfs, jeśli polecenie jest uruchamiane na jądrze linux 2.4 lub wyższym.

## AUTOR

Volker Lendecke, Andrew Tridgell, Michael H. Warfield i inni.

Obecnym koordynatorem smbfs i narzędzi przestrzeni użytkownika (userspace tools) `smbmount`, `smbumount` i `smbmnt` jest Urban Widmark. Lista Dyskusyjna SAMBA jest preferowanym miejscem do zadawania pytań dotyczących tych programów.

Konwersja tej strony podręcznika dla Samba 2.2 została przeprowadzona przez Geralda Cartera. Tłumaczenie na język polski wykonał Rafał Szcześniak.